| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
ForwardSchedulerSvc::enqueueSchedulerActionTask Struct Reference
Inheritance diagram for ForwardSchedulerSvc::enqueueSchedulerActionTask:
[legend]
Collaboration diagram for ForwardSchedulerSvc::enqueueSchedulerActionTask:
[legend]

## Public Member Functions
| enqueueSchedulerActionTask (ForwardSchedulerSvc *scheduler, std::function< StatusCode()> _closure)
tbb::task * | execute () override

## Public Attributes
std::function< StatusCode()> | m_closure
SmartIF< ForwardSchedulerSvc > | m_scheduler

## Detailed Description

Definition at line 219 of file ForwardSchedulerSvc.h.

## Constructor & Destructor Documentation

ForwardSchedulerSvc::enqueueSchedulerActionTask::enqueueSchedulerActionTask | ( | ForwardSchedulerSvc * | scheduler,
|  | std::function< StatusCode()> | _closure
| ) |  |
| inline

Definition at line 224 of file ForwardSchedulerSvc.h.

225 : m_closure( _closure ), m_scheduler( scheduler )
226 {
227 }
ForwardSchedulerSvc::enqueueSchedulerActionTask::m_closure
std::function< StatusCode()> m_closure
Definition: ForwardSchedulerSvc.h:221
ForwardSchedulerSvc::enqueueSchedulerActionTask::m_scheduler
SmartIF< ForwardSchedulerSvc > m_scheduler
Definition: ForwardSchedulerSvc.h:222

## Member Function Documentation

tbb::task* ForwardSchedulerSvc::enqueueSchedulerActionTask::execute | ( |  | ) |
| inline override

Definition at line 229 of file ForwardSchedulerSvc.h.

230 {
231 m_scheduler->m_actionsQueue.push( m_closure );
232 return nullptr;
233 }
ForwardSchedulerSvc::enqueueSchedulerActionTask::m_closure
std::function< StatusCode()> m_closure
Definition: ForwardSchedulerSvc.h:221
ForwardSchedulerSvc::enqueueSchedulerActionTask::m_scheduler
SmartIF< ForwardSchedulerSvc > m_scheduler
Definition: ForwardSchedulerSvc.h:222
ForwardSchedulerSvc::m_actionsQueue
tbb::concurrent_bounded_queue< action > m_actionsQueue
Queue where closures are stored and picked for execution.
Definition: ForwardSchedulerSvc.h:216

## Member Data Documentation

std::function<StatusCode()> ForwardSchedulerSvc::enqueueSchedulerActionTask::m_closure

Definition at line 221 of file ForwardSchedulerSvc.h.

SmartIF<ForwardSchedulerSvc> ForwardSchedulerSvc::enqueueSchedulerActionTask::m_scheduler

Definition at line 222 of file ForwardSchedulerSvc.h.

The documentation for this struct was generated from the following file:

- GaudiHive/src/ForwardSchedulerSvc.h